﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;
using Telerik.WinForms.Documents.FormatProviders.Html;
using Telerik.WinForms.Documents.FormatProviders.Txt;

namespace _1473963
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        HtmlFormatProvider htmlProvider = new HtmlFormatProvider();
        TxtFormatProvider txtProvider = new TxtFormatProvider();

        
        public RadForm1()
        {
            InitializeComponent();
            radRichTextEditor1.Insert("Sample Content");
            radButton2.Enabled = false;

            htmlProvider.ExportSettings.StylesExportMode = StylesExportMode.Inline;
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            var html = htmlProvider.Export(radRichTextEditor1.Document);
            radRichTextEditor1.Document = txtProvider.Import(html);

            radButton1.Enabled = false;
            radButton2.Enabled = true;
        }

        private void radButton2_Click(object sender, EventArgs e)
        {
            var text = txtProvider.Export(radRichTextEditor1.Document);
            radRichTextEditor1.Document = htmlProvider.Import(text);


            radButton1.Enabled = true;
            radButton2.Enabled = false;
        }
    }
}
